{% extends "base.html.twig" %}

{% block title %}
  {{film.titre}}
{% endblock %}

{% block body %}
  <br><br>
      <div class="w3-row w3-large w3-center">
        <h1 id="titlefilm"><b>{{ film.titre }}</b></h1>
        <br><br>
      </div>
      
      <div class="w3-row ">
        <div class="w3-center w3-container w3-col m6">
          <a href="{{ film.image }}"><img src="{{ film.image }}" class="w3-round" id="affiche"></a>
        </div>
        <div class=" w3-container w3-col m6">
          <p class="w3-align-left">             
            <b>GENRE :</b> {{ film.genre.type }}<br>
              <b>PAYS :</b> {{ film.pays.nation }}<br>
                <b>ANNEE :</b> {{ film.annee }}<br>
                  <b>DUREE :</b> {{ film.duree }} minutes<br><br><br>
          </p>
          <p class="w3-align-left">
            <b>SYNOPSIS :<br></b> {{ film.synopsis }}
          </p>
        </div>  
      </div>  
      <br><br>
          <div class="w3-row w3-container"> 
            <div class="">
              <h3>
                <b>Equipe du film : </b>
              </h3>
            </div>
            <br><br>
                <div class="w3-row">                    
                    {% for personne in film.filmspersonnes %}                  
                      <div class="w3-center w3-col m2">
                        <img src="{{ personne.personne.image }}" class="personne">
                          <p>{{ personne.personne.prenom }} {{ personne.personne.nom}}<br>{{ personne.personne.role.metier }} </p>
                      </div>
                    {% endfor %}
                  </div>
                 <div class="w3-row">   
                  {% if app.user %}   
                    <div class="w3-container">
                    <a href={{ path('ajoutpersonnefilm') }}>
                      <button class="w3-button w3-orange w3-hover-black" type="submit">
                        Associer une personne
                      </button>
                    </a>
                    </div>
                  {% else %}
                          <div class="w3-container">
                            <p>Pour associer une personne à ce film, vous devez vous connecter !</p>
                              <a href={{ path('connexion') }}>
                                <button class="w3-button w3-orange w3-hover-black">
                                  Se connecter
                                </button>
                              </a>
                          </div>                      
                        {% endif %}
                    </div>
                  </div>
          <br><br>
              <div class="w3-row w3-container" style="background-color:">
                <h3>
                  <b>Commentaires ({{ film.commentaire | length }}): </b>
                </h3><br><br>
                    {% for commentaire in film.commentaire %}
                      <div class="w3-row"> 
                        <ul class="w3-ul">
                          <div class="w3-col m3">  
                            <li>
                              <label>Auteur : <label><br>
                                    <h5>{{ commentaire.utilisateur.username }} : (<small>{{ commentaire.dateCreation | date('d/m/Y à h:i') }}</small>)</h5>
                            </li>
                          </div>
                          <div class="w3-col m9">
                            <li>
                              <label>Son commentaire : <label><br>
                                    <h6>{{ commentaire.contenu }}</h6>
                            </li>   
                          </div>
                        </ul>
                      </div>
                      <br>
                    {% endfor %}
              </div>
              
              <br><br><br><br>
                      <div class="w3-row w3-container" style="background-color: #262626;">
                        {% if app.user %}
                          {{ form_start(commentaireForm) }}
                          <div class="w3-input">
                            <br><br>                             
                                <h4><b>{{ app.user.username }}</b></h4>
                                {{ form_widget(commentaireForm.contenu, {'attr' : {'placeholder' : "Commenter...", 'class' : "w3-input", 'style': "width:70%;" }}) }}
                                <br>
                                    <button class="w3-button w3-orange w3-hover-black" type="submit">
                                      Commenter
                                    </button>
                          </div>
                          {{ form_end(commentaireForm) }}                       
                        {% else %}
                          <div class="w3-center">
                            <h4>Pour commenter, vous devez vous connecter !</h4><br>
                              <a href={{ path('connexion') }}>
                                <button class="w3-button w3-orange w3-hover-black">
                                  Se connecter
                                </button>
                              </a>
                          </div>                      
                        {% endif %}
                        <br>
                      </div>
                      
                    {% endblock %}
                    
